@echo off
rem Revision: 1.0, 06/21/2001

rem  ######################################################################
rem  5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2000, 2001
rem  All rights reserved. Licensed Materials Property of IBM
rem  Note to US Government users: Documentation related to restricted rights 
rem  Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
rem  This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
rem 
rem  This program may be used, executed, copied, modified and distributed
rem  without royalty for the purpose of developing, using,
rem  marketing, or distributing.
rem  ######################################################################

rem call %~dp0setupCmdLine.bat

set DB2USER=%1
set DB2INSTANCE=%2
set LOG=%3

db2 -z%LOG% ATTACH TO %DB2INSTANCE% user %DB2USER% using %DB2PASSWD%
echo "Dropping the TRADEDB database..."
db2 -z %LOG% DROP DATABASE TRADEDB
echo "Creating the TRADEDB database..."
db2 -z %LOG% CREATE DATABASE TRADEDB
echo "Connecting to the TRADEDB database..."
db2 -z %LOG% CONNECT TO TRADEDB
echo "Updating the TRADEDB database..."
db2 -z %LOG% UPDATE DB CFG FOR TRADEDB USING APPLHEAPSZ 256
db2 -z %LOG% UPDATE DB CFG FOR TRADEDB USING MAXAPPLS 256
echo "Granting authorities on the TRADEDB database for %DB2USER%..."
db2 -z %LOG% GRANT CONNECT, CREATETAB ON DATABASE TO USER %DB2USER%
echo "Disconnecting from the TRADEDB database..."
db2 -z %LOG% DISCONNECT CURRENT

echo "Connecting to the TRADEDB database, user %DB2USER% using %DB2PASSWD%"
db2 -z %LOG% CONNECT TO TRADEDB user %DB2USER% using %DB2PASSWD%" 
echo "Creating the TRADEDB tables..."
db2 -z %LOG% "CREATE TABLE KeysEntityBean (name VARCHAR(251) NOT NULL, value INTEGER, PRIMARY KEY (name))"
db2 -z %LOG% "INSERT INTO KeysEntityBean( name, value) VALUES ('holdingKey', 5001)"
db2 -z %LOG% "CREATE TABLE TradeQuoteBean (symbol VARCHAR(251) NOT NULL, details VARCHAR(251), price FLOAT, PRIMARY KEY (symbol))"
db2 -z %LOG% "CREATE TABLE TradeAccountBean (userID VARCHAR(251) NOT NULL, balance FLOAT, transactions INTEGER, PRIMARY KEY (userID))"
db2 -z %LOG% "CREATE TABLE TradeHoldingBean (userID VARCHAR(128) NOT NULL, symbol VARCHAR(251), price FLOAT, quantity FLOAT, indx INTEGER NOT NULL, PRIMARY KEY (userID,indx))"
db2 -z %LOG% "CREATE TABLE TradeProfileBean ( userID VARCHAR(251) NOT NULL, fullname VARCHAR(251), address VARCHAR(251), email VARCHAR(251), creditcard VARCHAR(251), PRIMARY KEY (userID))"
db2 -z %LOG% "CREATE TABLE TradeRegistryBean ( userID VARCHAR(251) NOT NULL, password VARCHAR(251), status INTEGER, PRIMARY KEY (userID))"

echo "Filling in database tables..."
db2 -z %LOG% "IMPORT FROM traderegistrybean.ixf OF IXF MODIFIED BY FORCEIN INSERT INTO TradeRegistryBean"
db2 -z %LOG% "IMPORT FROM tradeaccountbean.ixf OF IXF MODIFIED BY FORCEIN INSERT INTO TradeAccountBean"
db2 -z %LOG% "IMPORT FROM tradeholdingbean.ixf OF IXF MODIFIED BY FORCEIN INSERT INTO TradeHoldingBean"
db2 -z %LOG% "IMPORT FROM tradeprofilebean.ixf OF IXF MODIFIED BY FORCEIN INSERT INTO TradeProfileBean"
db2 -z %LOG% "IMPORT FROM tradequotebean.ixf OF IXF MODIFIED BY FORCEIN INSERT INTO TradeQuoteBean"

echo "Disconnecting from the TRADEDB database..."
db2 -z %LOG% DISCONNECT CURRENT

exit

